FROM multiarch/ubuntu-core:armhf-bionic

RUN groupadd -r grafana && useradd -r -g grafana grafana

RUN mkdir -p /usr/local/etc/grafana /usr/local/var/grafana/data /usr/local/var/grafana/plugins /usr/local/share/grafana /var/log/grafana

RUN chown -R grafana:grafana /usr/local/etc/grafana /usr/local/var/grafana /usr/local/share/grafana /var/log/grafana

VOLUME ["/usr/local/etc/grafana", "/usr/local/var/grafana", "/usr/local/share/grafana"]

ENV GF_PATHS_CONFIG="/usr/local/etc/grafana/grafana.ini" \
    GF_PATHS_DATA="/usr/local/var/grafana/data" \
    GF_PATHS_HOME="/usr/local/share/grafana" \
    GF_PATHS_LOGS="/var/log/grafana" \
    GF_PATHS_PLUGINS="/usr/local/var/grafana/plugins" \
    GF_PATHS_PROVISIONING="/usr/local/etc/grafana/provisioning"

COPY grafana-armhf-linux/bin/ /usr/local/bin/
COPY grafana-armhf-linux/conf/sample.ini /usr/local/etc/grafana/grafana.ini
COPY grafana-armhf-linux/ /usr/local/share/grafana

COPY ./conf/provisioning/datasources/datasources.yml /usr/local/etc/grafana/provisioning/datasources.yml
COPY ./conf/provisioning/dashboards/dashboards.yml /usr/local/etc/grafana/provisioning/dashboards.yml
#COPY ./conf/grafana.ini /usr/local/etc/grafana/grafana.ini

COPY ./entrypoint.sh /usr/local/bin/entrypoint.sh

RUN chmod +x /usr/local/bin/*

USER grafana
WORKDIR /usr/local/share/grafana

EXPOSE 3000
ENTRYPOINT [ "entrypoint.sh" ]
